# MoveSdkAndroidConfig

When running an Android application in background, several limits apply, which also have impact on retrieving locations. To circumvent this, an application needs to show a foreground service with a notification visible to the user. \
\
Therefore, it is necessary to pass an additional notification configuration object for Android. For more information on that please check[ notification management](/move-platform/sdk/appendix/android/notification-managment.md).

Here is how *moveSdkAndroidConfig* could look like:

```javascript
import { NotificationConfig, MoveSdkAndroidConfig } from 'react-native-move-sdk';

const tripChannel = {
	id: 'CT',
	name: 'Trips',
	description: 'Trips Description',
};

const recognitionNotification: NotificationConfig = {
	title: 'MOVE SDK Trip Recognition',
	text: 'SDK trip recognition is running',
	channel: tripChannel,
};

const tripNotification: NotificationConfig = {
	title: 'MOVE SDK Trip Running',
	text: 'SDK is recording your trip',
	channel: tripChannel,
};

const moveSdkAndroidConfig: MoveSdkAndroidConfig = {
	notifications: {
		recognitionNotification,
		tripNotification,
	},
};
```

[**recognitionNotification**](https://docs.movesdk.com/move-platform/sdk/api-interface/android-1/builder#dolphinsdk.builderv1.1-recognitionnotificationrecognitionnotifications) config object - whenever the MOVE SDK tries to detect for example activities, trips or even more.

[**tripNotification**](https://docs.movesdk.com/move-platform/sdk/api-interface/android-1/builder#trip-notifications) config object - when there is an active trip ([MoveTripState ](/move-platform/sdk/models/movetripstate.md)`.Running`).

{% hint style="info" %}
Don't forget to create a notification [channel](https://developer.android.com/training/notify-user/channels)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/models/movesdkandroidconfig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
